## JsonrpcInputStream JsonrpcInputStream |

## Functions

JsonrpcInputStream * | jsonrpc_input_stream_new ()
gboolean | jsonrpc_input_stream_read_message ()
void | jsonrpc_input_stream_read_message_async ()
gboolean | jsonrpc_input_stream_read_message_finish ()

## Types and Values

#define | JSONRPC_TYPE_INPUT_STREAM
struct | JsonrpcInputStreamClass
| JsonrpcInputStream

## Object Hierarchy

        GObject
        ╰── GInputStream
            ╰── GFilterInputStream
                ╰── GBufferedInputStream
                    ╰── GDataInputStream
                        ╰── JsonrpcInputStream

## Implemented Interfaces

JsonrpcInputStream implements GSeekable.

## Description

## Functions

### jsonrpc_input_stream_new ()

    JsonrpcInputStream *
    jsonrpc_input_stream_new (GInputStream *base_stream);

### jsonrpc_input_stream_read_message ()

    gboolean
    jsonrpc_input_stream_read_message (JsonrpcInputStream *self,
                                       GCancellable *cancellable,
                                       GVariant **message,
                                       GError **error);

### jsonrpc_input_stream_read_message_async ()

    void
    jsonrpc_input_stream_read_message_async
                                   (JsonrpcInputStream *self,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### jsonrpc_input_stream_read_message_finish ()

    gboolean
    jsonrpc_input_stream_read_message_finish
                                   (JsonrpcInputStream *self,
                                    GAsyncResult *result,
                                    GVariant **message,
                                    GError **error);

## Types and Values

### JSONRPC_TYPE_INPUT_STREAM

    #define JSONRPC_TYPE_INPUT_STREAM (jsonrpc_input_stream_get_type())

### struct JsonrpcInputStreamClass

    struct JsonrpcInputStreamClass {
      GDataInputStreamClass parent_class;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### JsonrpcInputStream

    typedef struct _JsonrpcInputStream JsonrpcInputStream;